name: Gitea Actions Build
run-name: ${{gitea.repository}} ${{gitea.sha}} ${{gitea.event.head_commit.message}} is build and releases out Gitea Actions 🚀 !?

on:
  push:
    branches:
      - master

jobs:
  Task:
    name: build and releases
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: https://git.mingliqiye.com/Actions/checkout@v4

      - name: setup java
        uses: https://git.mingliqiye.com/Actions/setup-java@v4
        with:
          distribution: 'oracle'
          java-version: '17'

      - name: build
        run: |
          ./gradlew
          ./gradlew build-jar

      - name: releases
        run: |
          source gradle.properties
          GROUPSID=$(echo "$GROUPSID" | tr -d '\r')
          VERSIONS=$(echo "$VERSIONS" | tr -d '\r')
          FILENAME="${GROUPSID}-${VERSIONS}.jar"
          java -jar ${VERSIONS} -s "${{gitea.server_url}}" -o "${{gitea.repository_owner}}" -r ${{gitea.event.repository.name}} -t "${{gitea.token}}" -ti "Auto releases ${{gitea.sha}} ${VERSIONS}" -b "# Auto releases wtih ${{gitea.event.head_commit.message}} - [${{gitea.sha}}](${{gitea.event.head_commit.url}})" -tn "Auto-Releases-${VERSIONS}"  -a "build/libs"


          